## org.apache.poi.xslf.model.geom
Class Path

    java.lang.Object
      org.apache.poi.xslf.model.geom.Path

    public class Path

extends java.lang.Object

Specifies a creation path consisting of a series of moves, lines and curves that when combined forms a geometric shape

Author:
  Yegor Kozlov

Constructor Summary
`Path()`
`Path(boolean fill, boolean stroke)`
`Path(org.openxmlformats.schemas.drawingml.x2006.main.CTPath2D spPath)`

Method Summary
`void` `addCommand(PathCommand cmd)`
`long` `getH()`
`java.awt.geom.GeneralPath` `getPath(Context ctx)` Convert the internal represenation to java.awt.GeneralPath
`long` `getW()`
`boolean` `isFilled()`
`boolean` `isStroked()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Path

    public Path()

### Path

    public Path(boolean fill,
                boolean stroke)

### Path

    public Path(org.openxmlformats.schemas.drawingml.x2006.main.CTPath2D spPath)

Method Detail

### addCommand

    public void addCommand(PathCommand cmd)

### getPath

    public java.awt.geom.GeneralPath getPath(Context ctx)

  Convert the internal represenation to java.awt.GeneralPath

### isStroked

    public boolean isStroked()

### isFilled

    public boolean isFilled()

### getW

    public long getW()

### getH

    public long getH()

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.